//
//  SimplePlug.h
//  iSimplePlug
//
//  $RCSfile: SimplePlug.h,v $
//  $Author: paploo $
//  $Revision: 1.2 $
//  $Date: 2003/12/13 07:14:56 $
//  $Name:  $
//  $Source: /cvsroot/itonamaton/plugins/iSimplePlug/SimplePlug.h,v $
//
//  Created by Jeffrey Reinecke on Wed Dec 10 2003.
//  This source is part of the iTonamaton project, and is released under
//  the GNU GPL.  The iTonamaton project can be found at
//  http://itonamaton.sf.net/
//

/*******************************************************************************
 * This source file is meant to go along with the tutorial that is in
 * the Documentation folder in the project directory.  The source in this
 * file is necessarily sparsly commented so that it is easier to see how all the
 * source fits together.  However, some comments were inserted to help guide
 * those who have not read the tutorial document, or those who need memory
 * refreshing, as to what the code does.
 ******************************************************************************/

#import <Foundation/Foundation.h>

//Include the ITFramework framework, which defines all the iTonamaton classes.
#import <ITFramework/ITFramework.h>

/*
 * This is the decleration for the plugin's main (and only) class.  It is
 * implemented in SimplePlug.m
 */
@interface SimplePlug : ITPlugin
{
    //An array of the commands the plugin responds to, stored as NSStrings.
    NSArray * commandNameArray;
    
    //The C Array of the cached command IDs assigned to each of the commands.
    unsigned * commandIDArray;
}
//The method registered to be called when a command is recieved by iTonamaton.
- (void)processCommand:(NSNotification *)note;
@end
